## ev-document-factory ev-document-factory — |

## Synopsis

    enum        EvBackend;
    EvDocument* ev_document_factory_get_document
                                                (const char *uri,
                                                 GError **error);
    EvBackend   ev_document_factory_get_backend (EvDocument *document);
    void        ev_document_factory_add_filters (GtkWidget *chooser,
                                                 EvDocument *document);

## Description

## Details

### enum EvBackend

    typedef enum {
    	EV_BACKEND_PDF,
    	EV_BACKEND_PS,
    	EV_BACKEND_TIFF,
    	EV_BACKEND_PIXBUF,
    	EV_BACKEND_DJVU,
    	EV_BACKEND_DVI,
    	EV_BACKEND_COMICS,
    	EV_BACKEND_IMPRESS
    } EvBackend;

### ev_document_factory_get_document ()

    EvDocument* ev_document_factory_get_document
                                                (const char *uri,
                                                 GError **error);

`uri` : |
`error` : |
Returns : |

### ev_document_factory_get_backend ()

    EvBackend   ev_document_factory_get_backend (EvDocument *document);

`document` : |
Returns : |

### ev_document_factory_add_filters ()

    void        ev_document_factory_add_filters (GtkWidget *chooser,
                                                 EvDocument *document);

`chooser` : |
`document` : |